open import Lib.Word

open import Gate

module Step4.Rel where

data Rel : Context Gate where

  ax-K1=Swap01-K0-Swap01 : K1 === Swap01 • K0 • Swap01 ∈ Rel
  ax-K2=Swap12-Swap01-K0-Swap01-Swap12 : K2 === Swap12 • Swap01 • K0 • Swap01 • Swap12 ∈ Rel

  ax-K1-K0=K0-K1 : K1 • K0 === K0 • K1 ∈ Rel

  ax-Swap01=CX01-CX10-CX01 : Swap01 === CX01 • CX10 • CX01 ∈ Rel 
  ax-Swap12=CX12-CX21-CX12 : Swap12 === CX12 • CX21 • CX12 ∈ Rel 

  ax-CCX0-CCX0=ε : CCX0 • CCX0 === ε ∈ Rel
  ax-CCX1-CCX1=ε : CCX1 • CCX1 === ε ∈ Rel
  ax-CCX2-CCX2=ε : CCX2 • CCX2 === ε ∈ Rel
  ax-CX01-CX01=ε : CX01 • CX01 === ε ∈ Rel
  ax-CX10-CX10=ε : CX10 • CX10 === ε ∈ Rel
  ax-CX12-CX12=ε : CX12 • CX12 === ε ∈ Rel
  ax-CX21-CX21=ε : CX21 • CX21 === ε ∈ Rel
  ax-CX02-CX02=ε : CX02 • CX02 === ε ∈ Rel
  ax-CX20-CX20=ε : CX20 • CX20 === ε ∈ Rel
  ax-X0-X0=ε : X0 • X0 === ε ∈ Rel
  ax-X1-X1=ε : X1 • X1 === ε ∈ Rel
  ax-X2-X2=ε : X2 • X2 === ε ∈ Rel
  ax-Swap01-Swap01=ε : Swap01 • Swap01 === ε ∈ Rel
  ax-Swap12-Swap12=ε : Swap12 • Swap12 === ε ∈ Rel
  ax-S0-S0-S0-S0=ε : S0 • S0 • S0 • S0 === ε ∈ Rel
  ax-S1-S1-S1-S1=ε : S1 • S1 • S1 • S1 === ε ∈ Rel
  ax-S2-S2-S2-S2=ε : S2 • S2 • S2 • S2 === ε ∈ Rel
  ax-CS01-CS01-CS01-CS01=ε : CS01 • CS01 • CS01 • CS01 === ε ∈ Rel
  ax-CS12-CS12-CS12-CS12=ε : CS12 • CS12 • CS12 • CS12 === ε ∈ Rel
  ax-CS02-CS02-CS02-CS02=ε : CS02 • CS02 • CS02 • CS02 === ε ∈ Rel
  ax-CCZ-CCZ=ε : CCZ • CCZ === ε ∈ Rel
  ax-iI-iI-iI-iI=ε : iI • iI • iI • iI === ε ∈ Rel
  ax-CCK'-CCK'-CCK'=CS12-CS12 : CCK' • CCK' • CCK' === CS12 • CS12 ∈ Rel
  ax-CK10-CK10=S1-S1-S1 : CK10 • CK10 === S1 • S1 • S1 ∈ Rel
  ax-CK20-CK20=S2-S2-S2 : CK20 • CK20 === S2 • S2 • S2 ∈ Rel
  ax-K0-K0=iI-iI-iI : K0 • K0 === iI • iI • iI ∈ Rel

  ax-iI-CCX0=CCX0-iI : iI • CCX0 === CCX0 • iI ∈ Rel
  ax-iI-CCX1=CCX1-iI : iI • CCX1 === CCX1 • iI ∈ Rel
  ax-iI-CCX2=CCX2-iI : iI • CCX2 === CCX2 • iI ∈ Rel
  ax-iI-CX01=CX01-iI : iI • CX01 === CX01 • iI ∈ Rel
  ax-iI-CX10=CX10-iI : iI • CX10 === CX10 • iI ∈ Rel
  ax-iI-CX12=CX12-iI : iI • CX12 === CX12 • iI ∈ Rel
  ax-iI-CX21=CX21-iI : iI • CX21 === CX21 • iI ∈ Rel
  ax-iI-CX02=CX02-iI : iI • CX02 === CX02 • iI ∈ Rel
  ax-iI-CX20=CX20-iI : iI • CX20 === CX20 • iI ∈ Rel
  ax-iI-X0=X0-iI : iI • X0 === X0 • iI ∈ Rel
  ax-iI-X1=X1-iI : iI • X1 === X1 • iI ∈ Rel
  ax-iI-X2=X2-iI : iI • X2 === X2 • iI ∈ Rel
  ax-iI-Swap01=Swap01-iI : iI • Swap01 === Swap01 • iI ∈ Rel
  ax-iI-Swap12=Swap12-iI : iI • Swap12 === Swap12 • iI ∈ Rel
  ax-iI-S0=S0-iI : iI • S0 === S0 • iI ∈ Rel
  ax-iI-S1=S1-iI : iI • S1 === S1 • iI ∈ Rel
  ax-iI-S2=S2-iI : iI • S2 === S2 • iI ∈ Rel
  ax-iI-CS01=CS01-iI : iI • CS01 === CS01 • iI ∈ Rel
  ax-iI-CS12=CS12-iI : iI • CS12 === CS12 • iI ∈ Rel
  ax-iI-CS02=CS02-iI : iI • CS02 === CS02 • iI ∈ Rel
  ax-iI-CCZ=CCZ-iI : iI • CCZ === CCZ • iI ∈ Rel
  ax-iI-CCK'=CCK'-iI : iI • CCK' === CCK' • iI ∈ Rel
  ax-iI-CK10=CK10-iI : iI • CK10 === CK10 • iI ∈ Rel
  ax-iI-CK20=CK20-iI : iI • CK20 === CK20 • iI ∈ Rel
  ax-iI-K0=K0-iI : iI • K0 === K0 • iI ∈ Rel

  ax-S1-S0=S0-S1 : S1 • S0 === S0 • S1 ∈ Rel
  ax-S2-S0=S0-S2 : S2 • S0 === S0 • S2 ∈ Rel
  ax-S2-S1=S1-S2 : S2 • S1 === S1 • S2 ∈ Rel
  ax-CS01-S0=S0-CS01 : CS01 • S0 === S0 • CS01 ∈ Rel
  ax-CS01-S1=S1-CS01 : CS01 • S1 === S1 • CS01 ∈ Rel
  ax-CS01-S2=S2-CS01 : CS01 • S2 === S2 • CS01 ∈ Rel
  ax-CS12-S0=S0-CS12 : CS12 • S0 === S0 • CS12 ∈ Rel
  ax-CS12-S1=S1-CS12 : CS12 • S1 === S1 • CS12 ∈ Rel
  ax-CS12-S2=S2-CS12 : CS12 • S2 === S2 • CS12 ∈ Rel
  ax-CS12-CS01=CS01-CS12 : CS12 • CS01 === CS01 • CS12 ∈ Rel
  ax-CS12-CS02=CS02-CS12 : CS12 • CS02 === CS02 • CS12 ∈ Rel
  ax-CS02-S0=S0-CS02 : CS02 • S0 === S0 • CS02 ∈ Rel
  ax-CS02-S1=S1-CS02 : CS02 • S1 === S1 • CS02 ∈ Rel
  ax-CS02-S2=S2-CS02 : CS02 • S2 === S2 • CS02 ∈ Rel
  ax-CS02-CS01=CS01-CS02 : CS02 • CS01 === CS01 • CS02 ∈ Rel
  ax-CCZ-S0=S0-CCZ : CCZ • S0 === S0 • CCZ ∈ Rel
  ax-CCZ-S1=S1-CCZ : CCZ • S1 === S1 • CCZ ∈ Rel
  ax-CCZ-S2=S2-CCZ : CCZ • S2 === S2 • CCZ ∈ Rel
  ax-CCZ-CS01=CS01-CCZ : CCZ • CS01 === CS01 • CCZ ∈ Rel
  ax-CCZ-CS12=CS12-CCZ : CCZ • CS12 === CS12 • CCZ ∈ Rel
  ax-CCZ-CS02=CS02-CCZ : CCZ • CS02 === CS02 • CCZ ∈ Rel
  ax-Swap01-S0=S1-Swap01 : Swap01 • S0 === S1 • Swap01 ∈ Rel
  ax-Swap01-S1=S0-Swap01 : Swap01 • S1 === S0 • Swap01 ∈ Rel
  ax-Swap01-S2=S2-Swap01 : Swap01 • S2 === S2 • Swap01 ∈ Rel
  ax-Swap01-CS01=CS01-Swap01 : Swap01 • CS01 === CS01 • Swap01 ∈ Rel
  ax-Swap01-CS02=CS12-Swap01 : Swap01 • CS02 === CS12 • Swap01 ∈ Rel
  ax-Swap01-CS12=CS02-Swap01 : Swap01 • CS12 === CS02 • Swap01 ∈ Rel
  ax-Swap01-CCZ=CCZ-Swap01 : Swap01 • CCZ === CCZ • Swap01 ∈ Rel
  ax-Swap01-iI=iI-Swap01 : Swap01 • iI === iI • Swap01 ∈ Rel
  ax-CX01-S0=S0-CX01 : CX01 • S0 === S0 • CX01 ∈ Rel
  ax-CX01-S1=S0-S1-CS01-CS01-CX01 : CX01 • S1 === S0 • S1 • CS01 • CS01 • CX01 ∈ Rel
  ax-CX01-S2=S2-CX01 : CX01 • S2 === S2 • CX01 ∈ Rel
  ax-CX01-CS01=S0-CS01-CS01-CS01-CX01 : CX01 • CS01 === S0 • CS01 • CS01 • CS01 • CX01 ∈ Rel
  ax-CX01-CS02=CS02-CX01 : CX01 • CS02 === CS02 • CX01 ∈ Rel
  ax-CX01-CS12=CS02-CS12-CCZ-CX01 : CX01 • CS12 === CS02 • CS12 • CCZ • CX01 ∈ Rel
  ax-CX01-CCZ=CS02-CS02-CCZ-CX01 : CX01 • CCZ === CS02 • CS02 • CCZ • CX01 ∈ Rel
  ax-CX01-iI=iI-CX01 : CX01 • iI === iI • CX01 ∈ Rel
  ax-CX02-S0=S0-CX02 : CX02 • S0 === S0 • CX02 ∈ Rel
  ax-CX02-S1=S1-CX02 : CX02 • S1 === S1 • CX02 ∈ Rel
  ax-CX02-S2=S0-S2-CS02-CS02-CX02 : CX02 • S2 === S0 • S2 • CS02 • CS02 • CX02 ∈ Rel
  ax-CX02-CS01=CS01-CX02 : CX02 • CS01 === CS01 • CX02 ∈ Rel
  ax-CX02-CS02=S0-CS02-CS02-CS02-CX02 : CX02 • CS02 === S0 • CS02 • CS02 • CS02 • CX02 ∈ Rel
  ax-CX02-CS12=CS01-CS12-CCZ-CX02 : CX02 • CS12 === CS01 • CS12 • CCZ • CX02 ∈ Rel
  ax-CX02-CCZ=CS01-CS01-CCZ-CX02 : CX02 • CCZ === CS01 • CS01 • CCZ • CX02 ∈ Rel
  ax-CX02-iI=iI-CX02 : CX02 • iI === iI • CX02 ∈ Rel
  ax-CCX1-S0=S0-CCX1 : CCX1 • S0 === S0 • CCX1 ∈ Rel
  ax-CCX1-S1=S1-CS02-CCZ-CCX1 : CCX1 • S1 === S1 • CS02 • CCZ • CCX1 ∈ Rel
  ax-CCX1-S2=S2-CCX1 : CCX1 • S2 === S2 • CCX1 ∈ Rel
  ax-CCX1-CS01=CS01-CS02-CCZ-CCX1 : CCX1 • CS01 === CS01 • CS02 • CCZ • CCX1 ∈ Rel
  ax-CCX1-CS02=CS02-CCX1 : CCX1 • CS02 === CS02 • CCX1 ∈ Rel
  ax-CCX1-CS12=CS02-CS12-CCZ-CCX1 : CCX1 • CS12 === CS02 • CS12 • CCZ • CCX1 ∈ Rel
  ax-CCX1-CCZ=CS02-CS02-CCZ-CCX1 : CCX1 • CCZ === CS02 • CS02 • CCZ • CCX1 ∈ Rel
  ax-CCX1-iI=iI-CCX1 : CCX1 • iI === iI • CCX1 ∈ Rel
  ax-CCX2-S0=S0-CCX2 : CCX2 • S0 === S0 • CCX2 ∈ Rel
  ax-CCX2-S1=S1-CCX2 : CCX2 • S1 === S1 • CCX2 ∈ Rel
  ax-CCX2-S2=S2-CS01-CCZ-CCX2 : CCX2 • S2 === S2 • CS01 • CCZ • CCX2 ∈ Rel
  ax-CCX2-CS01=CS01-CCX2 : CCX2 • CS01 === CS01 • CCX2 ∈ Rel
  ax-CCX2-CS02=CS01-CS02-CCZ-CCX2 : CCX2 • CS02 === CS01 • CS02 • CCZ • CCX2 ∈ Rel
  ax-CCX2-CS12=CS01-CS12-CCZ-CCX2 : CCX2 • CS12 === CS01 • CS12 • CCZ • CCX2 ∈ Rel
  ax-CCX2-CCZ=CS01-CS01-CCZ-CCX2 : CCX2 • CCZ === CS01 • CS01 • CCZ • CCX2 ∈ Rel
  ax-CCX2-iI=iI-CCX2 : CCX2 • iI === iI • CCX2 ∈ Rel
  ax-X1-S0=S0-X1 : X1 • S0 === S0 • X1 ∈ Rel
  ax-X1-S1=S1-S1-S1-iI-X1 : X1 • S1 === S1 • S1 • S1 • iI • X1 ∈ Rel
  ax-X1-S2=S2-X1 : X1 • S2 === S2 • X1 ∈ Rel
  ax-X1-CS01=S0-CS01-CS01-CS01-X1 : X1 • CS01 === S0 • CS01 • CS01 • CS01 • X1 ∈ Rel
  ax-X1-CS02=CS02-X1 : X1 • CS02 === CS02 • X1 ∈ Rel
  ax-X1-CS12=S2-CS12-CS12-CS12-X1 : X1 • CS12 === S2 • CS12 • CS12 • CS12 • X1 ∈ Rel
  ax-X1-CCZ=CS02-CS02-CCZ-X1 : X1 • CCZ === CS02 • CS02 • CCZ • X1 ∈ Rel
  ax-X1-iI=iI-X1 : X1 • iI === iI • X1 ∈ Rel
  ax-X2-S0=S0-X2 : X2 • S0 === S0 • X2 ∈ Rel
  ax-X2-S1=S1-X2 : X2 • S1 === S1 • X2 ∈ Rel
  ax-X2-S2=S2-S2-S2-iI-X2 : X2 • S2 === S2 • S2 • S2 • iI • X2 ∈ Rel
  ax-X2-CS01=CS01-X2 : X2 • CS01 === CS01 • X2 ∈ Rel
  ax-X2-CS02=S0-CS02-CS02-CS02-X2 : X2 • CS02 === S0 • CS02 • CS02 • CS02 • X2 ∈ Rel
  ax-X2-CS12=S1-CS12-CS12-CS12-X2 : X2 • CS12 === S1 • CS12 • CS12 • CS12 • X2 ∈ Rel
  ax-X2-CCZ=CS01-CS01-CCZ-X2 : X2 • CCZ === CS01 • CS01 • CCZ • X2 ∈ Rel
  ax-X2-iI=iI-X2 : X2 • iI === iI • X2 ∈ Rel
  ax-CX12-S0=S0-CX12 : CX12 • S0 === S0 • CX12 ∈ Rel
  ax-CX12-S1=S1-CX12 : CX12 • S1 === S1 • CX12 ∈ Rel
  ax-CX12-S2=S1-S2-CS12-CS12-CX12 : CX12 • S2 === S1 • S2 • CS12 • CS12 • CX12 ∈ Rel
  ax-CX12-CS01=CS01-CX12 : CX12 • CS01 === CS01 • CX12 ∈ Rel
  ax-CX12-CS02=CS01-CS02-CCZ-CX12 : CX12 • CS02 === CS01 • CS02 • CCZ • CX12 ∈ Rel
  ax-CX12-CS12=S1-CS12-CS12-CS12-CX12 : CX12 • CS12 === S1 • CS12 • CS12 • CS12 • CX12 ∈ Rel
  ax-CX12-CCZ=CS01-CS01-CCZ-CX12 : CX12 • CCZ === CS01 • CS01 • CCZ • CX12 ∈ Rel
  ax-CX12-iI=iI-CX12 : CX12 • iI === iI • CX12 ∈ Rel
  ax-CX21-S0=S0-CX21 : CX21 • S0 === S0 • CX21 ∈ Rel
  ax-CX21-S1=S1-S2-CS12-CS12-CX21 : CX21 • S1 === S1 • S2 • CS12 • CS12 • CX21 ∈ Rel
  ax-CX21-S2=S2-CX21 : CX21 • S2 === S2 • CX21 ∈ Rel
  ax-CX21-CS01=CS01-CS02-CCZ-CX21 : CX21 • CS01 === CS01 • CS02 • CCZ • CX21 ∈ Rel
  ax-CX21-CS02=CS02-CX21 : CX21 • CS02 === CS02 • CX21 ∈ Rel
  ax-CX21-CS12=S2-CS12-CS12-CS12-CX21 : CX21 • CS12 === S2 • CS12 • CS12 • CS12 • CX21 ∈ Rel
  ax-CX21-CCZ=CS02-CS02-CCZ-CX21 : CX21 • CCZ === CS02 • CS02 • CCZ • CX21 ∈ Rel
  ax-CX21-iI=iI-CX21 : CX21 • iI === iI • CX21 ∈ Rel
  ax-Swap12-S0=S0-Swap12 : Swap12 • S0 === S0 • Swap12 ∈ Rel
  ax-Swap12-S1=S2-Swap12 : Swap12 • S1 === S2 • Swap12 ∈ Rel
  ax-Swap12-S2=S1-Swap12 : Swap12 • S2 === S1 • Swap12 ∈ Rel
  ax-Swap12-CS01=CS02-Swap12 : Swap12 • CS01 === CS02 • Swap12 ∈ Rel
  ax-Swap12-CS02=CS01-Swap12 : Swap12 • CS02 === CS01 • Swap12 ∈ Rel
  ax-Swap12-CS12=CS12-Swap12 : Swap12 • CS12 === CS12 • Swap12 ∈ Rel
  ax-Swap12-CCZ=CCZ-Swap12 : Swap12 • CCZ === CCZ • Swap12 ∈ Rel
  ax-Swap12-iI=iI-Swap12 : Swap12 • iI === iI • Swap12 ∈ Rel
  ax-X0-S0=S0-S0-S0-iI-X0 : X0 • S0 === S0 • S0 • S0 • iI • X0 ∈ Rel
  ax-X0-S1=S1-X0 : X0 • S1 === S1 • X0 ∈ Rel
  ax-X0-S2=S2-X0 : X0 • S2 === S2 • X0 ∈ Rel
  ax-X0-CS01=S1-CS01-CS01-CS01-X0 : X0 • CS01 === S1 • CS01 • CS01 • CS01 • X0 ∈ Rel
  ax-X0-CS02=S2-CS02-CS02-CS02-X0 : X0 • CS02 === S2 • CS02 • CS02 • CS02 • X0 ∈ Rel
  ax-X0-CS12=CS12-X0 : X0 • CS12 === CS12 • X0 ∈ Rel
  ax-X0-CCZ=CS12-CS12-CCZ-X0 : X0 • CCZ === CS12 • CS12 • CCZ • X0 ∈ Rel
  ax-X0-iI=iI-X0 : X0 • iI === iI • X0 ∈ Rel
  ax-CX10-S0=S0-S1-CS01-CS01-CX10 : CX10 • S0 === S0 • S1 • CS01 • CS01 • CX10 ∈ Rel
  ax-CX10-S1=S1-CX10 : CX10 • S1 === S1 • CX10 ∈ Rel
  ax-CX10-S2=S2-CX10 : CX10 • S2 === S2 • CX10 ∈ Rel
  ax-CX10-CS01=S1-CS01-CS01-CS01-CX10 : CX10 • CS01 === S1 • CS01 • CS01 • CS01 • CX10 ∈ Rel
  ax-CX10-CS02=CS02-CS12-CCZ-CX10 : CX10 • CS02 === CS02 • CS12 • CCZ • CX10 ∈ Rel
  ax-CX10-CS12=CS12-CX10 : CX10 • CS12 === CS12 • CX10 ∈ Rel
  ax-CX10-CCZ=CS12-CS12-CCZ-CX10 : CX10 • CCZ === CS12 • CS12 • CCZ • CX10 ∈ Rel
  ax-CX10-iI=iI-CX10 : CX10 • iI === iI • CX10 ∈ Rel
  ax-CX20-S0=S0-S2-CS02-CS02-CX20 : CX20 • S0 === S0 • S2 • CS02 • CS02 • CX20 ∈ Rel
  ax-CX20-S1=S1-CX20 : CX20 • S1 === S1 • CX20 ∈ Rel
  ax-CX20-S2=S2-CX20 : CX20 • S2 === S2 • CX20 ∈ Rel
  ax-CX20-CS01=CS01-CS12-CCZ-CX20 : CX20 • CS01 === CS01 • CS12 • CCZ • CX20 ∈ Rel
  ax-CX20-CS02=S2-CS02-CS02-CS02-CX20 : CX20 • CS02 === S2 • CS02 • CS02 • CS02 • CX20 ∈ Rel
  ax-CX20-CS12=CS12-CX20 : CX20 • CS12 === CS12 • CX20 ∈ Rel
  ax-CX20-CCZ=CS12-CS12-CCZ-CX20 : CX20 • CCZ === CS12 • CS12 • CCZ • CX20 ∈ Rel
  ax-CX20-iI=iI-CX20 : CX20 • iI === iI • CX20 ∈ Rel
  ax-CCX0-S0=S0-CS12-CCZ-CCX0 : CCX0 • S0 === S0 • CS12 • CCZ • CCX0 ∈ Rel
  ax-CCX0-S1=S1-CCX0 : CCX0 • S1 === S1 • CCX0 ∈ Rel
  ax-CCX0-S2=S2-CCX0 : CCX0 • S2 === S2 • CCX0 ∈ Rel
  ax-CCX0-CS01=CS01-CS12-CCZ-CCX0 : CCX0 • CS01 === CS01 • CS12 • CCZ • CCX0 ∈ Rel
  ax-CCX0-CS02=CS02-CS12-CCZ-CCX0 : CCX0 • CS02 === CS02 • CS12 • CCZ • CCX0 ∈ Rel
  ax-CCX0-CS12=CS12-CCX0 : CCX0 • CS12 === CS12 • CCX0 ∈ Rel
  ax-CCX0-CCZ=CS12-CS12-CCZ-CCX0 : CCX0 • CCZ === CS12 • CS12 • CCZ • CCX0 ∈ Rel
  ax-CCX0-iI=iI-CCX0 : CCX0 • iI === iI • CCX0 ∈ Rel
  ax-CCX1-CCX0-CCX1=CCX0-CCX1-CCX0 : CCX1 • CCX0 • CCX1 === CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX0-CCX0-CCX1=CCX1 : CCX0 • CCX0 • CCX1 === CCX1 ∈ Rel
  ax-CCX2-CCX1-CCX2=CCX1-CCX2-CCX1 : CCX2 • CCX1 • CCX2 === CCX1 • CCX2 • CCX1 ∈ Rel
  ax-CCX2-CCX0-CCX2=CCX0-CCX2-CCX0 : CCX2 • CCX0 • CCX2 === CCX0 • CCX2 • CCX0 ∈ Rel
  ax-CCX1-CCX1-CCX2=CCX2 : CCX1 • CCX1 • CCX2 === CCX2 ∈ Rel
  ax-CCX1-CCX0-CCX2=CCX0-CCX2-CCX0-CCX1-CCX0 : CCX1 • CCX0 • CCX2 === CCX0 • CCX2 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX0-CCX1-CCX2=CCX1-CCX2-CCX0-CCX1-CCX0 : CCX0 • CCX1 • CCX2 === CCX1 • CCX2 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX0-CCX0-CCX2=CCX2 : CCX0 • CCX0 • CCX2 === CCX2 ∈ Rel
  ax-CX01-CX01-CCX2-CX01=CCX2-CX01 : CX01 • CX01 • CCX2 • CX01 === CCX2 • CX01 ∈ Rel
  ax-CX01-CCX0-CCX2-CX01=CCX0-CCX2-CX01-CCX1-CCX2-CCX1-CCX0 : CX01 • CCX0 • CCX2 • CX01 === CCX0 • CCX2 • CX01 • CCX1 • CCX2 • CCX1 • CCX0 ∈ Rel
  ax-CCX2-CX01-CCX2-CX01=CX01-CCX2-CX01-CCX2 : CCX2 • CX01 • CCX2 • CX01 === CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CCX2-CCX2-CX01=CX01 : CCX2 • CCX2 • CX01 === CX01 ∈ Rel
  ax-CCX2-CCX0-CCX2-CX01=CCX0-CCX2-CX01-CCX0-CCX1-CCX0 : CCX2 • CCX0 • CCX2 • CX01 === CCX0 • CCX2 • CX01 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX1-CX01=CX01-CCX1 : CCX1 • CX01 === CX01 • CCX1 ∈ Rel
  ax-CCX1-CX01-CCX2-CX01=CCX2-CX01-CCX1-CCX2-CCX1 : CCX1 • CX01 • CCX2 • CX01 === CCX2 • CX01 • CCX1 • CCX2 • CCX1 ∈ Rel
  ax-CCX1-CCX2-CX01=CX01-CCX2-CX01-CCX1-CCX2-CCX1 : CCX1 • CCX2 • CX01 === CX01 • CCX2 • CX01 • CCX1 • CCX2 • CCX1 ∈ Rel
  ax-CCX1-CCX0-CCX2-CX01=CCX0-CCX2-CX01-CCX0 : CCX1 • CCX0 • CCX2 • CX01 === CCX0 • CCX2 • CX01 • CCX0 ∈ Rel
  ax-CCX0-CX01=CX01-CCX0-CCX1-CCX0 : CCX0 • CX01 === CX01 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX0-CX01-CCX2-CX01=CX01-CCX2-CX01-CCX0 : CCX0 • CX01 • CCX2 • CX01 === CX01 • CCX2 • CX01 • CCX0 ∈ Rel
  ax-CCX0-CCX0-CCX2-CX01=CCX2-CX01 : CCX0 • CCX0 • CCX2 • CX01 === CCX2 • CX01 ∈ Rel
  ax-CX10-CX10-CCX2-CX10=CCX2-CX10 : CX10 • CX10 • CCX2 • CX10 === CCX2 • CX10 ∈ Rel
  ax-CX10-CX01-CX10=CX01-CX10-CX01 : CX10 • CX01 • CX10 === CX01 • CX10 • CX01 ∈ Rel
  ax-CX10-CX01-CCX2-CX10=CX01-CCX2-CX10-CX01 : CX10 • CX01 • CCX2 • CX10 === CX01 • CCX2 • CX10 • CX01 ∈ Rel
  ax-CX01-CX10-CCX2-CX10=CX10-CCX2-CX10-CX01 : CX01 • CX10 • CCX2 • CX10 === CX10 • CCX2 • CX10 • CX01 ∈ Rel
  ax-CX01-CX01-CX10=CX10 : CX01 • CX01 • CX10 === CX10 ∈ Rel
  ax-CX01-CX01-CCX2-CX10=CCX2-CX10 : CX01 • CX01 • CCX2 • CX10 === CCX2 • CX10 ∈ Rel
  ax-CCX2-CX10-CCX2-CX10=CX10-CCX2-CX10-CCX2 : CCX2 • CX10 • CCX2 • CX10 === CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CCX2-CX01-CX10=CX01-CX10-CX01-CCX2-CX01 : CCX2 • CX01 • CX10 === CX01 • CX10 • CX01 • CCX2 • CX01 ∈ Rel
  ax-CCX2-CX01-CCX2-CX10=CX01-CCX2-CX10-CX01-CCX2-CX01 : CCX2 • CX01 • CCX2 • CX10 === CX01 • CCX2 • CX10 • CX01 • CCX2 • CX01 ∈ Rel
  ax-CCX2-CCX2-CX10=CX10 : CCX2 • CCX2 • CX10 === CX10 ∈ Rel
  ax-CCX1-CX10=CX10-CCX0-CCX1-CCX0 : CCX1 • CX10 === CX10 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX1-CX10-CCX2-CX10=CX10-CCX2-CX10-CCX1 : CCX1 • CX10 • CCX2 • CX10 === CX10 • CCX2 • CX10 • CCX1 ∈ Rel
  ax-CCX1-CX01-CX10=CX01-CX10-CCX0-CCX1-CCX0 : CCX1 • CX01 • CX10 === CX01 • CX10 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX1-CX01-CCX2-CX10=CCX2-CX10-CCX0-CCX2-CX01-CCX1-CCX2-CCX0 : CCX1 • CX01 • CCX2 • CX10 === CCX2 • CX10 • CCX0 • CCX2 • CX01 • CCX1 • CCX2 • CCX0 ∈ Rel
  ax-CCX1-CCX2-CX10=CX01-CCX2-CX10-CCX0-CCX2-CX01-CCX1-CCX2-CCX0 : CCX1 • CCX2 • CX10 === CX01 • CCX2 • CX10 • CCX0 • CCX2 • CX01 • CCX1 • CCX2 • CCX0 ∈ Rel
  ax-CCX0-CX10=CX10-CCX0 : CCX0 • CX10 === CX10 • CCX0 ∈ Rel
  ax-CCX0-CX10-CCX2-CX10=CCX2-CX10-CCX0-CCX2-CCX0 : CCX0 • CX10 • CCX2 • CX10 === CCX2 • CX10 • CCX0 • CCX2 • CCX0 ∈ Rel
  ax-CCX0-CX01-CX10=CX01-CX10-CCX1 : CCX0 • CX01 • CX10 === CX01 • CX10 • CCX1 ∈ Rel
  ax-CCX0-CX01-CCX2-CX10=CX01-CCX2-CX10-CCX1 : CCX0 • CX01 • CCX2 • CX10 === CX01 • CCX2 • CX10 • CCX1 ∈ Rel
  ax-CCX0-CCX2-CX10=CX10-CCX2-CX10-CCX0-CCX2-CCX0 : CCX0 • CCX2 • CX10 === CX10 • CCX2 • CX10 • CCX0 • CCX2 • CCX0 ∈ Rel
  ax-CX02=CX01-CCX2-CX01-CCX2 : CX02 === CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-CX02-CX20=CX20 : CX02 • CX02 • CX20 === CX20 ∈ Rel
  ax-CX02-CX12-CX21=CX12-CX21-CCX2-CX01-CCX2 : CX02 • CX12 • CX21 === CX12 • CX21 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-CX21=CX21-CCX2-CX01-CCX2 : CX02 • CX21 === CX21 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-CX21-CX20=CX01-CX02-CX20-CX01 : CX02 • CX21 • CX20 === CX01 • CX02 • CX20 • CX01 ∈ Rel
  ax-CX02-CX01-CX02-CX20=CX21-CX20-CX01 : CX02 • CX01 • CX02 • CX20 === CX21 • CX20 • CX01 ∈ Rel
  ax-CX20-CX02-CX20=CX02-CX20-CX01-CCX2-CX01-CCX2 : CX20 • CX02 • CX20 === CX02 • CX20 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX20-CX12-CX21=CX12-CX21-CX10 : CX20 • CX12 • CX21 === CX12 • CX21 • CX10 ∈ Rel
  ax-CX20-CX21=CX21-CX20 : CX20 • CX21 === CX21 • CX20 ∈ Rel
  ax-CX20-CX21-CX20=CX21 : CX20 • CX21 • CX20 === CX21 ∈ Rel
  ax-CX20-CX01-CX02-CX20=CX01-CX02-CX20-CCX2-CX01-CCX2 : CX20 • CX01 • CX02 • CX20 === CX01 • CX02 • CX20 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX12=CX10-CCX2-CX10-CCX2 : CX12 === CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-CX02-CX20=CX02-CX20-CCX2-CX10-CCX2 : CX12 • CX02 • CX20 === CX02 • CX20 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-CX20=CX20-CCX2-CX10-CCX2 : CX12 • CX20 === CX20 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-CX12-CX21=CX21 : CX12 • CX12 • CX21 === CX21 ∈ Rel
  ax-CX12-CX21-CX20=CX01-CX02-CX20-CCX2-CX10-CCX2-CX01 : CX12 • CX21 • CX20 === CX01 • CX02 • CX20 • CCX2 • CX10 • CCX2 • CX01 ∈ Rel
  ax-CX12-CX01-CX02-CX20=CX21-CX20-CX01-CCX2-CX10-CCX2 : CX12 • CX01 • CX02 • CX20 === CX21 • CX20 • CX01 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX21-CX02-CX20=CX02-CX20-CX01 : CX21 • CX02 • CX20 === CX02 • CX20 • CX01 ∈ Rel
  ax-CX21-CX12-CX21=CX12-CX21-CX10-CCX2-CX10-CCX2 : CX21 • CX12 • CX21 === CX12 • CX21 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX21-CX21-CX20=CX20 : CX21 • CX21 • CX20 === CX20 ∈ Rel
  ax-CX21-CX01-CX02-CX20=CX01-CX02-CX20-CX01 : CX21 • CX01 • CX02 • CX20 === CX01 • CX02 • CX20 • CX01 ∈ Rel
  ax-CX10-CX02-CX20=CX02-CX20-CX10-CCX2-CX10-CCX2 : CX10 • CX02 • CX20 === CX02 • CX20 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX10-CX20=CX20-CX10 : CX10 • CX20 === CX20 • CX10 ∈ Rel
  ax-CX10-CX12-CX21=CX01-CX02-CX20-CX01-CX10-CCX2-CX01-CCX2 : CX10 • CX12 • CX21 === CX01 • CX02 • CX20 • CX01 • CX10 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX10-CX21=CX21-CX20-CX10 : CX10 • CX21 === CX21 • CX20 • CX10 ∈ Rel
  ax-CX10-CX21-CX20=CX21-CX10 : CX10 • CX21 • CX20 === CX21 • CX10 ∈ Rel
  ax-CX10-CX01-CX02-CX20=CX12-CX21-CX01-CCX2-CX10-CX01-CCX2 : CX10 • CX01 • CX02 • CX20 === CX12 • CX21 • CX01 • CCX2 • CX10 • CX01 • CCX2 ∈ Rel
  ax-CX01-CX20=CX21-CX20-CX01 : CX01 • CX20 === CX21 • CX20 • CX01 ∈ Rel
  ax-CX01-CX12-CX21=CX12-CX21-CX01-CCX2-CX01-CCX2 : CX01 • CX12 • CX21 === CX12 • CX21 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX01-CX21=CX21-CX01 : CX01 • CX21 === CX21 • CX01 ∈ Rel
  ax-CX01-CX21-CX20=CX20-CX01 : CX01 • CX21 • CX20 === CX20 • CX01 ∈ Rel
  ax-CX01-CX01-CX02-CX20=CX02-CX20 : CX01 • CX01 • CX02 • CX20 === CX02 • CX20 ∈ Rel
  ax-CCX2-CX02-CX20=CX02-CX20-CCX0-CCX2-CCX0 : CCX2 • CX02 • CX20 === CX02 • CX20 • CCX0 • CCX2 • CCX0 ∈ Rel
  ax-CCX2-CX20=CX20-CCX0-CCX2-CCX0 : CCX2 • CX20 === CX20 • CCX0 • CCX2 • CCX0 ∈ Rel
  ax-CCX2-CX12-CX21=CX12-CX21-CCX1-CCX2-CCX1 : CCX2 • CX12 • CX21 === CX12 • CX21 • CCX1 • CCX2 • CCX1 ∈ Rel
  ax-CCX2-CX21=CX21-CCX1-CCX2-CCX1 : CCX2 • CX21 === CX21 • CCX1 • CCX2 • CCX1 ∈ Rel
  ax-CCX2-CX21-CX20=CX01-CX02-CX20-CCX0-CCX2-CX01-CCX0-CCX1-CCX0 : CCX2 • CX21 • CX20 === CX01 • CX02 • CX20 • CCX0 • CCX2 • CX01 • CCX0 • CCX1 • CCX0 ∈ Rel
  ax-CCX2-CX01-CX02-CX20=CX21-CX20-CX01-CCX0-CCX2-CCX0 : CCX2 • CX01 • CX02 • CX20 === CX21 • CX20 • CX01 • CCX0 • CCX2 • CCX0 ∈ Rel
  ax-CCX1-CX02-CX20=CX02-CX20-CX01-CCX1 : CCX1 • CX02 • CX20 === CX02 • CX20 • CX01 • CCX1 ∈ Rel
  ax-CCX1-CX20=CX21-CX20-CCX1 : CCX1 • CX20 === CX21 • CX20 • CCX1 ∈ Rel
  ax-CCX1-CX12-CX21=CX12-CX21-CCX2 : CCX1 • CX12 • CX21 === CX12 • CX21 • CCX2 ∈ Rel
  ax-CCX1-CX21=CX21-CCX1 : CCX1 • CX21 === CX21 • CCX1 ∈ Rel
  ax-CCX1-CX21-CX20=CX20-CCX1 : CCX1 • CX21 • CX20 === CX20 • CCX1 ∈ Rel
  ax-CCX1-CX01-CX02-CX20=CX01-CX02-CX20-CX01-CCX1 : CCX1 • CX01 • CX02 • CX20 === CX01 • CX02 • CX20 • CX01 • CCX1 ∈ Rel
  ax-CCX0-CX02-CX20=CX02-CX20-CCX2 : CCX0 • CX02 • CX20 === CX02 • CX20 • CCX2 ∈ Rel
  ax-CCX0-CX20=CX20-CCX0 : CCX0 • CX20 === CX20 • CCX0 ∈ Rel
  ax-CCX0-CX12-CX21=CX12-CX21-CX10-CCX0 : CCX0 • CX12 • CX21 === CX12 • CX21 • CX10 • CCX0 ∈ Rel
  ax-CCX0-CX21=CX21-CX20-CCX0 : CCX0 • CX21 === CX21 • CX20 • CCX0 ∈ Rel
  ax-CCX0-CX21-CX20=CX21-CCX0 : CCX0 • CX21 • CX20 === CX21 • CCX0 ∈ Rel
  ax-CCX0-CX01-CX02-CX20=CX01-CX02-CX20-CCX2-CX01-CCX1-CCX2 : CCX0 • CX01 • CX02 • CX20 === CX01 • CX02 • CX20 • CCX2 • CX01 • CCX1 • CCX2 ∈ Rel
  ax-X0-X0-X1=X1 : X0 • X0 • X1 === X1 ∈ Rel
  ax-X0-X0-X1-X2=X1-X2 : X0 • X0 • X1 • X2 === X1 • X2 ∈ Rel
  ax-X0-X0-X2=X2 : X0 • X0 • X2 === X2 ∈ Rel
  ax-X1-X0=X0-X1 : X1 • X0 === X0 • X1 ∈ Rel
  ax-X1-X0-X1=X0 : X1 • X0 • X1 === X0 ∈ Rel
  ax-X1-X0-X1-X2=X0-X2 : X1 • X0 • X1 • X2 === X0 • X2 ∈ Rel
  ax-X1-X0-X2=X0-X1-X2 : X1 • X0 • X2 === X0 • X1 • X2 ∈ Rel
  ax-X1-X1-X2=X2 : X1 • X1 • X2 === X2 ∈ Rel
  ax-X2-X0=X0-X2 : X2 • X0 === X0 • X2 ∈ Rel
  ax-X2-X0-X1=X0-X1-X2 : X2 • X0 • X1 === X0 • X1 • X2 ∈ Rel
  ax-X2-X0-X1-X2=X0-X1 : X2 • X0 • X1 • X2 === X0 • X1 ∈ Rel
  ax-X2-X0-X2=X0 : X2 • X0 • X2 === X0 ∈ Rel
  ax-X2-X1=X1-X2 : X2 • X1 === X1 • X2 ∈ Rel
  ax-X2-X1-X2=X1 : X2 • X1 • X2 === X1 ∈ Rel
  ax-CX01-X0=X0-X1-CX01 : CX01 • X0 === X0 • X1 • CX01 ∈ Rel
  ax-CX01-X0-X1=X0-CX01 : CX01 • X0 • X1 === X0 • CX01 ∈ Rel
  ax-CX01-X0-X1-X2=X0-X2-CX01 : CX01 • X0 • X1 • X2 === X0 • X2 • CX01 ∈ Rel
  ax-CX01-X0-X2=X0-X1-X2-CX01 : CX01 • X0 • X2 === X0 • X1 • X2 • CX01 ∈ Rel
  ax-CX01-X1=X1-CX01 : CX01 • X1 === X1 • CX01 ∈ Rel
  ax-CX01-X1-X2=X1-X2-CX01 : CX01 • X1 • X2 === X1 • X2 • CX01 ∈ Rel
  ax-CX01-X2=X2-CX01 : CX01 • X2 === X2 • CX01 ∈ Rel
  ax-CX02-X0=X0-X2-CX01-CCX2-CX01-CCX2 : CX02 • X0 === X0 • X2 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-X0-X1=X0-X1-X2-CX01-CCX2-CX01-CCX2 : CX02 • X0 • X1 === X0 • X1 • X2 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-X0-X1-X2=X0-X1-CX01-CCX2-CX01-CCX2 : CX02 • X0 • X1 • X2 === X0 • X1 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-X0-X2=X0-CX01-CCX2-CX01-CCX2 : CX02 • X0 • X2 === X0 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-X1=X1-CX01-CCX2-CX01-CCX2 : CX02 • X1 === X1 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-X1-X2=X1-X2-CX01-CCX2-CX01-CCX2 : CX02 • X1 • X2 === X1 • X2 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX02-X2=X2-CX01-CCX2-CX01-CCX2 : CX02 • X2 === X2 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CX10-X0=X0-CX10 : CX10 • X0 === X0 • CX10 ∈ Rel
  ax-CX10-X0-X1=X1-CX10 : CX10 • X0 • X1 === X1 • CX10 ∈ Rel
  ax-CX10-X0-X1-X2=X1-X2-CX10 : CX10 • X0 • X1 • X2 === X1 • X2 • CX10 ∈ Rel
  ax-CX10-X0-X2=X0-X2-CX10 : CX10 • X0 • X2 === X0 • X2 • CX10 ∈ Rel
  ax-CX10-X1=X0-X1-CX10 : CX10 • X1 === X0 • X1 • CX10 ∈ Rel
  ax-CX10-X1-X2=X0-X1-X2-CX10 : CX10 • X1 • X2 === X0 • X1 • X2 • CX10 ∈ Rel
  ax-CX10-X2=X2-CX10 : CX10 • X2 === X2 • CX10 ∈ Rel
  ax-CX12-X0=X0-CX10-CCX2-CX10-CCX2 : CX12 • X0 === X0 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-X0-X1=X0-X1-X2-CX10-CCX2-CX10-CCX2 : CX12 • X0 • X1 === X0 • X1 • X2 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-X0-X1-X2=X0-X1-CX10-CCX2-CX10-CCX2 : CX12 • X0 • X1 • X2 === X0 • X1 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-X0-X2=X0-X2-CX10-CCX2-CX10-CCX2 : CX12 • X0 • X2 === X0 • X2 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-X1=X1-X2-CX10-CCX2-CX10-CCX2 : CX12 • X1 === X1 • X2 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-X1-X2=X1-CX10-CCX2-CX10-CCX2 : CX12 • X1 • X2 === X1 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX12-X2=X2-CX10-CCX2-CX10-CCX2 : CX12 • X2 === X2 • CX10 • CCX2 • CX10 • CCX2 ∈ Rel
  ax-CX20-X0=X0-CX20 : CX20 • X0 === X0 • CX20 ∈ Rel
  ax-CX20-X0-X1=X0-X1-CX20 : CX20 • X0 • X1 === X0 • X1 • CX20 ∈ Rel
  ax-CX20-X0-X1-X2=X1-X2-CX20 : CX20 • X0 • X1 • X2 === X1 • X2 • CX20 ∈ Rel
  ax-CX20-X0-X2=X2-CX20 : CX20 • X0 • X2 === X2 • CX20 ∈ Rel
  ax-CX20-X1=X1-CX20 : CX20 • X1 === X1 • CX20 ∈ Rel
  ax-CX20-X1-X2=X0-X1-X2-CX20 : CX20 • X1 • X2 === X0 • X1 • X2 • CX20 ∈ Rel
  ax-CX20-X2=X0-X2-CX20 : CX20 • X2 === X0 • X2 • CX20 ∈ Rel
  ax-CX21-X0=X0-CX21 : CX21 • X0 === X0 • CX21 ∈ Rel
  ax-CX21-X0-X1=X0-X1-CX21 : CX21 • X0 • X1 === X0 • X1 • CX21 ∈ Rel
  ax-CX21-X0-X1-X2=X0-X2-CX21 : CX21 • X0 • X1 • X2 === X0 • X2 • CX21 ∈ Rel
  ax-CX21-X0-X2=X0-X1-X2-CX21 : CX21 • X0 • X2 === X0 • X1 • X2 • CX21 ∈ Rel
  ax-CX21-X1=X1-CX21 : CX21 • X1 === X1 • CX21 ∈ Rel
  ax-CX21-X1-X2=X2-CX21 : CX21 • X1 • X2 === X2 • CX21 ∈ Rel
  ax-CX21-X2=X1-X2-CX21 : CX21 • X2 === X1 • X2 • CX21 ∈ Rel
  ax-CCX2-X0=X0-CX10-CCX2-CX10 : CCX2 • X0 === X0 • CX10 • CCX2 • CX10 ∈ Rel
  ax-CCX2-X0-X1=X0-X1-X2-CX10-CCX2-CX10-CX01-CCX2-CX01-CCX2 : CCX2 • X0 • X1 === X0 • X1 • X2 • CX10 • CCX2 • CX10 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CCX2-X0-X1-X2=X0-X1-CX10-CCX2-CX10-CX01-CCX2-CX01-CCX2 : CCX2 • X0 • X1 • X2 === X0 • X1 • CX10 • CCX2 • CX10 • CX01 • CCX2 • CX01 • CCX2 ∈ Rel
  ax-CCX2-X0-X2=X0-X2-CX10-CCX2-CX10 : CCX2 • X0 • X2 === X0 • X2 • CX10 • CCX2 • CX10 ∈ Rel
  ax-CCX2-X1=X1-CX01-CCX2-CX01 : CCX2 • X1 === X1 • CX01 • CCX2 • CX01 ∈ Rel
  ax-CCX2-X1-X2=X1-X2-CX01-CCX2-CX01 : CCX2 • X1 • X2 === X1 • X2 • CX01 • CCX2 • CX01 ∈ Rel
  ax-CCX2-X2=X2-CCX2 : CCX2 • X2 === X2 • CCX2 ∈ Rel
  ax-CCX1-X0=X0-CX21-CCX1 : CCX1 • X0 === X0 • CX21 • CCX1 ∈ Rel
  ax-CCX1-X0-X1=X0-X1-CX21-CCX1 : CCX1 • X0 • X1 === X0 • X1 • CX21 • CCX1 ∈ Rel
  ax-CCX1-X0-X1-X2=X0-X2-CX21-CX01-CCX1 : CCX1 • X0 • X1 • X2 === X0 • X2 • CX21 • CX01 • CCX1 ∈ Rel
  ax-CCX1-X0-X2=X0-X1-X2-CX21-CX01-CCX1 : CCX1 • X0 • X2 === X0 • X1 • X2 • CX21 • CX01 • CCX1 ∈ Rel
  ax-CCX1-X1=X1-CCX1 : CCX1 • X1 === X1 • CCX1 ∈ Rel
  ax-CCX1-X1-X2=X1-X2-CX01-CCX1 : CCX1 • X1 • X2 === X1 • X2 • CX01 • CCX1 ∈ Rel
  ax-CCX1-X2=X2-CX01-CCX1 : CCX1 • X2 === X2 • CX01 • CCX1 ∈ Rel
  ax-CCX0-X0=X0-CCX0 : CCX0 • X0 === X0 • CCX0 ∈ Rel
  ax-CCX0-X0-X1=X0-X1-CX20-CCX0 : CCX0 • X0 • X1 === X0 • X1 • CX20 • CCX0 ∈ Rel
  ax-CCX0-X0-X1-X2=X1-X2-CX20-CX10-CCX0 : CCX0 • X0 • X1 • X2 === X1 • X2 • CX20 • CX10 • CCX0 ∈ Rel
  ax-CCX0-X0-X2=X0-X2-CX10-CCX0 : CCX0 • X0 • X2 === X0 • X2 • CX10 • CCX0 ∈ Rel
  ax-CCX0-X1=X1-CX20-CCX0 : CCX0 • X1 === X1 • CX20 • CCX0 ∈ Rel
  ax-CCX0-X1-X2=X0-X1-X2-CX20-CX10-CCX0 : CCX0 • X1 • X2 === X0 • X1 • X2 • CX20 • CX10 • CCX0 ∈ Rel
  ax-CCX0-X2=X2-CX10-CCX0 : CCX0 • X2 === X2 • CX10 • CCX0 ∈ Rel
  ax-X0-CCK'=CCK'-X0-CCX0-CCZ : X0 • CCK' === CCK' • X0 • CCX0 • CCZ ∈ Rel
  ax-X0-CCK'-CCK'=CCK'-CCK'-X0-CS12-CCZ : X0 • CCK' • CCK' === CCK' • CCK' • X0 • CS12 • CCZ ∈ Rel
  ax-CX10-CCK'=CCK'-CX10-CCX0-CCZ : CX10 • CCK' === CCK' • CX10 • CCX0 • CCZ ∈ Rel
  ax-CX10-CCK'-CCK'=CCK'-CCK'-CX10-CS12-CCZ : CX10 • CCK' • CCK' === CCK' • CCK' • CX10 • CS12 • CCZ ∈ Rel
  ax-CX20-CCK'=CCK'-CX20-CCX0-CCZ : CX20 • CCK' === CCK' • CX20 • CCX0 • CCZ ∈ Rel
  ax-CX20-CCK'-CCK'=CCK'-CCK'-CX20-CS12-CCZ : CX20 • CCK' • CCK' === CCK' • CCK' • CX20 • CS12 • CCZ ∈ Rel
  ax-CCX0-CCK'=CCK'-CCZ : CCX0 • CCK' === CCK' • CCZ ∈ Rel
  ax-CCX0-CCK'-CCK'=CCK'-CCK'-CCX0-CS12-CCZ : CCX0 • CCK' • CCK' === CCK' • CCK' • CCX0 • CS12 • CCZ ∈ Rel
  ax-S0-CCK'=CCK'-CCK'-S0-CS12-CCZ : S0 • CCK' === CCK' • CCK' • S0 • CS12 • CCZ ∈ Rel
  ax-S0-CCK'-CCK'=CCK'-CCX0-S0-CCZ : S0 • CCK' • CCK' === CCK' • CCX0 • S0 • CCZ ∈ Rel
  ax-S1-CCK'=CCK'-S1 : S1 • CCK' === CCK' • S1 ∈ Rel
  ax-S1-CCK'-CCK'=CCK'-CCK'-S1 : S1 • CCK' • CCK' === CCK' • CCK' • S1 ∈ Rel
  ax-S2-CCK'=CCK'-S2 : S2 • CCK' === CCK' • S2 ∈ Rel
  ax-S2-CCK'-CCK'=CCK'-CCK'-S2 : S2 • CCK' • CCK' === CCK' • CCK' • S2 ∈ Rel
  ax-CS01-CCK'=CCK'-CCK'-CS01-CS12-CCZ : CS01 • CCK' === CCK' • CCK' • CS01 • CS12 • CCZ ∈ Rel
  ax-CS01-CCK'-CCK'=CCK'-CCX0-CS01-CCZ : CS01 • CCK' • CCK' === CCK' • CCX0 • CS01 • CCZ ∈ Rel
  ax-CS02-CCK'=CCK'-CCK'-CS02-CS12-CCZ : CS02 • CCK' === CCK' • CCK' • CS02 • CS12 • CCZ ∈ Rel
  ax-CS02-CCK'-CCK'=CCK'-CCX0-CS02-CCZ : CS02 • CCK' • CCK' === CCK' • CCX0 • CS02 • CCZ ∈ Rel
  ax-CS12-CCK'=CCK'-CS12 : CS12 • CCK' === CCK' • CS12 ∈ Rel
  ax-CS12-CCK'-CCK'=CCK'-CCK'-CS12 : CS12 • CCK' • CCK' === CCK' • CCK' • CS12 ∈ Rel
  ax-CCZ-CCK'=CCK'-CCX0-CS12-CCZ : CCZ • CCK' === CCK' • CCX0 • CS12 • CCZ ∈ Rel
  ax-CCZ-CCK'-CCK'=CCK'-CCK'-CCX0 : CCZ • CCK' • CCK' === CCK' • CCK' • CCX0 ∈ Rel
  ax-iI-CCK'-CCK'=CCK'-CCK'-iI : iI • CCK' • CCK' === CCK' • CCK' • iI ∈ Rel
  ax-CK10-S0-CK10=S0-CK10-CX10-CS01-CS01-CS01 : CK10 • S0 • CK10 === S0 • CK10 • CX10 • CS01 • CS01 • CS01 ∈ Rel
  ax-CCK'-CK10=CK10-CCK'-CCK'-CCX0-CS12 : CCK' • CK10 === CK10 • CCK' • CCK' • CCX0 • CS12 ∈ Rel
  ax-CCK'-S0-CK10=S0-CK10-CCK' : CCK' • S0 • CK10 === S0 • CK10 • CCK' ∈ Rel
  ax-X0-CK10=CK10-X0-CX10-CS01-CS01 : X0 • CK10 === CK10 • X0 • CX10 • CS01 • CS01 ∈ Rel
  ax-X0-S0-CK10=S0-CK10-X0-S0-S0-S1-S1-iI-iI-iI : X0 • S0 • CK10 === S0 • CK10 • X0 • S0 • S0 • S1 • S1 • iI • iI • iI ∈ Rel
  ax-CX10-CK10=CK10-CS01-CS01 : CX10 • CK10 === CK10 • CS01 • CS01 ∈ Rel
  ax-CX10-S0-CK10=S0-CK10-CX10-S1-CS01-CS01 : CX10 • S0 • CK10 === S0 • CK10 • CX10 • S1 • CS01 • CS01 ∈ Rel
  ax-CX20-CK10=CK10-CX20-CCX0-CCZ : CX20 • CK10 === CK10 • CX20 • CCX0 • CCZ ∈ Rel
  ax-CX20-S0-CK10=S0-CK10-CX20-S2-S2-S2-CS02-CS02-CS12-CS12 : CX20 • S0 • CK10 === S0 • CK10 • CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 ∈ Rel
  ax-CCX0-CK10=CK10-CCZ : CCX0 • CK10 === CK10 • CCZ ∈ Rel
  ax-CCX0-S0-CK10=S0-CK10-CCX0-CS12-CCZ : CCX0 • S0 • CK10 === S0 • CK10 • CCX0 • CS12 • CCZ ∈ Rel
  ax-S0-S0-CK10=CK10-CX10-S0-S0-CS01-CS01 : S0 • S0 • CK10 === CK10 • CX10 • S0 • S0 • CS01 • CS01 ∈ Rel
  ax-S1-CK10=CK10-S1 : S1 • CK10 === CK10 • S1 ∈ Rel
  ax-S1-S0-CK10=S0-CK10-S1 : S1 • S0 • CK10 === S0 • CK10 • S1 ∈ Rel
  ax-S2-CK10=CK10-S2 : S2 • CK10 === CK10 • S2 ∈ Rel
  ax-S2-S0-CK10=S0-CK10-S2 : S2 • S0 • CK10 === S0 • CK10 • S2 ∈ Rel
  ax-CS01-CK10=S0-CK10-S0-S0-S0-CS01 : CS01 • CK10 === S0 • CK10 • S0 • S0 • S0 • CS01 ∈ Rel
  ax-CS01-S0-CK10=CK10-CX10-S0-CS01-CS01-CS01 : CS01 • S0 • CK10 === CK10 • CX10 • S0 • CS01 • CS01 • CS01 ∈ Rel
  ax-CS02-CK10=CK10-CCK'-CCK'-CCX0-CS12-CS12-CS02-CCZ : CS02 • CK10 === CK10 • CCK' • CCK' • CCX0 • CS12 • CS12 • CS02 • CCZ ∈ Rel
  ax-CS02-S0-CK10=S0-CK10-CCK'-CCK'-CCX0-CS12-CS12-CS02-CCZ : CS02 • S0 • CK10 === S0 • CK10 • CCK' • CCK' • CCX0 • CS12 • CS12 • CS02 • CCZ ∈ Rel
  ax-CS12-CK10=CK10-CS12 : CS12 • CK10 === CK10 • CS12 ∈ Rel
  ax-CS12-S0-CK10=S0-CK10-CS12 : CS12 • S0 • CK10 === S0 • CK10 • CS12 ∈ Rel
  ax-CCZ-CK10=CK10-CCX0 : CCZ • CK10 === CK10 • CCX0 ∈ Rel
  ax-CCZ-S0-CK10=S0-CK10-CCX0 : CCZ • S0 • CK10 === S0 • CK10 • CCX0 ∈ Rel
  ax-iI-S0-CK10=S0-CK10-iI : iI • S0 • CK10 === S0 • CK10 • iI ∈ Rel
  ax-CK20-S0-CK20=S0-CK20-CX20-CS02-CS02-CS02 : CK20 • S0 • CK20 === S0 • CK20 • CX20 • CS02 • CS02 • CS02 ∈ Rel
  ax-CK10-CK20=CK20-CK10 : CK10 • CK20 === CK20 • CK10 ∈ Rel
  ax-CK10-S0-CK20=S0-CK20-S0-CK10-CCK'-CX10-S0-S0-S0-CS01-CS01-CS12-CCZ : CK10 • S0 • CK20 === S0 • CK20 • S0 • CK10 • CCK' • CX10 • S0 • S0 • S0 • CS01 • CS01 • CS12 • CCZ ∈ Rel
  ax-CCK'-CK20=CK20-CCK'-CCK'-CCX0-CS12 : CCK' • CK20 === CK20 • CCK' • CCK' • CCX0 • CS12 ∈ Rel
  ax-CCK'-S0-CK20=S0-CK20-CCK' : CCK' • S0 • CK20 === S0 • CK20 • CCK' ∈ Rel
  ax-X0-CK20=CK20-X0-CX20-CS02-CS02 : X0 • CK20 === CK20 • X0 • CX20 • CS02 • CS02 ∈ Rel
  ax-X0-S0-CK20=S0-CK20-X0-S0-S0-S2-S2-iI-iI-iI : X0 • S0 • CK20 === S0 • CK20 • X0 • S0 • S0 • S2 • S2 • iI • iI • iI ∈ Rel
  ax-CX10-CK20=CK20-CX10-CCX0-CCZ : CX10 • CK20 === CK20 • CX10 • CCX0 • CCZ ∈ Rel
  ax-CX10-S0-CK20=S0-CK20-CX10-S1-S1-S1-CS01-CS01-CS12-CS12 : CX10 • S0 • CK20 === S0 • CK20 • CX10 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CS12 ∈ Rel
  ax-CX20-CK20=CK20-CS02-CS02 : CX20 • CK20 === CK20 • CS02 • CS02 ∈ Rel
  ax-CX20-S0-CK20=S0-CK20-CX20-S2-CS02-CS02 : CX20 • S0 • CK20 === S0 • CK20 • CX20 • S2 • CS02 • CS02 ∈ Rel
  ax-CCX0-CK20=CK20-CCZ : CCX0 • CK20 === CK20 • CCZ ∈ Rel
  ax-CCX0-S0-CK20=S0-CK20-CCX0-CS12-CCZ : CCX0 • S0 • CK20 === S0 • CK20 • CCX0 • CS12 • CCZ ∈ Rel
  ax-S0-S0-CK20=CK20-CX20-S0-S0-CS02-CS02 : S0 • S0 • CK20 === CK20 • CX20 • S0 • S0 • CS02 • CS02 ∈ Rel
  ax-S1-CK20=CK20-S1 : S1 • CK20 === CK20 • S1 ∈ Rel
  ax-S1-S0-CK20=S0-CK20-S1 : S1 • S0 • CK20 === S0 • CK20 • S1 ∈ Rel
  ax-S2-CK20=CK20-S2 : S2 • CK20 === CK20 • S2 ∈ Rel
  ax-S2-S0-CK20=S0-CK20-S2 : S2 • S0 • CK20 === S0 • CK20 • S2 ∈ Rel
  ax-CS01-CK20=CK20-CCK'-CCK'-CCX0-CS12-CS12-CS01-CCZ : CS01 • CK20 === CK20 • CCK' • CCK' • CCX0 • CS12 • CS12 • CS01 • CCZ ∈ Rel
  ax-CS01-S0-CK20=S0-CK20-CCK'-CCK'-CCX0-CS12-CS12-CS01-CCZ : CS01 • S0 • CK20 === S0 • CK20 • CCK' • CCK' • CCX0 • CS12 • CS12 • CS01 • CCZ ∈ Rel
  ax-CS02-CK20=S0-CK20-S0-S0-S0-CS02 : CS02 • CK20 === S0 • CK20 • S0 • S0 • S0 • CS02 ∈ Rel
  ax-CS02-S0-CK20=CK20-CX20-S0-CS02-CS02-CS02 : CS02 • S0 • CK20 === CK20 • CX20 • S0 • CS02 • CS02 • CS02 ∈ Rel
  ax-CS12-CK20=CK20-CS12 : CS12 • CK20 === CK20 • CS12 ∈ Rel
  ax-CS12-S0-CK20=S0-CK20-CS12 : CS12 • S0 • CK20 === S0 • CK20 • CS12 ∈ Rel
  ax-CCZ-CK20=CK20-CCX0 : CCZ • CK20 === CK20 • CCX0 ∈ Rel
  ax-CCZ-S0-CK20=S0-CK20-CCX0 : CCZ • S0 • CK20 === S0 • CK20 • CCX0 ∈ Rel
  ax-iI-S0-CK20=S0-CK20-iI : iI • S0 • CK20 === S0 • CK20 • iI ∈ Rel
  ax-K0-S0-K0=S0-K0-X0-S0-S0-S0 : K0 • S0 • K0 === S0 • K0 • X0 • S0 • S0 • S0 ∈ Rel
  ax-CK20-K0=K0-CK20 : CK20 • K0 === K0 • CK20 ∈ Rel
  ax-CK20-S0-K0=S0-K0-CX20-CS02-CS02-CS02 : CK20 • S0 • K0 === S0 • K0 • CX20 • CS02 • CS02 • CS02 ∈ Rel
  ax-CK10-K0=K0-CK10 : CK10 • K0 === K0 • CK10 ∈ Rel
  ax-CK10-S0-K0=S0-K0-CX10-CS01-CS01-CS01 : CK10 • S0 • K0 === S0 • K0 • CX10 • CS01 • CS01 • CS01 ∈ Rel
  ax-CCK'-K0=K0-CCK'-CCK'-CCX0-CS12 : CCK' • K0 === K0 • CCK' • CCK' • CCX0 • CS12 ∈ Rel
  ax-CCK'-S0-K0=S0-K0-CCK' : CCK' • S0 • K0 === S0 • K0 • CCK' ∈ Rel
  ax-X0-K0=K0-S0-S0 : X0 • K0 === K0 • S0 • S0 ∈ Rel
  ax-X0-S0-K0=S0-K0-X0-S0-S0-iI : X0 • S0 • K0 === S0 • K0 • X0 • S0 • S0 • iI ∈ Rel
  ax-CX10-K0=K0-CS01-CS01 : CX10 • K0 === K0 • CS01 • CS01 ∈ Rel
  ax-CX10-S0-K0=S0-K0-CX10-S1-CS01-CS01 : CX10 • S0 • K0 === S0 • K0 • CX10 • S1 • CS01 • CS01 ∈ Rel
  ax-CX20-K0=K0-CS02-CS02 : CX20 • K0 === K0 • CS02 • CS02 ∈ Rel
  ax-CX20-S0-K0=S0-K0-CX20-S2-CS02-CS02 : CX20 • S0 • K0 === S0 • K0 • CX20 • S2 • CS02 • CS02 ∈ Rel
  ax-CCX0-K0=K0-CCZ : CCX0 • K0 === K0 • CCZ ∈ Rel
  ax-CCX0-S0-K0=S0-K0-CCX0-CS12-CCZ : CCX0 • S0 • K0 === S0 • K0 • CCX0 • CS12 • CCZ ∈ Rel
  ax-S0-S0-K0=K0-X0 : S0 • S0 • K0 === K0 • X0 ∈ Rel
  ax-S1-K0=K0-S1 : S1 • K0 === K0 • S1 ∈ Rel
  ax-S1-S0-K0=S0-K0-S1 : S1 • S0 • K0 === S0 • K0 • S1 ∈ Rel
  ax-S2-K0=K0-S2 : S2 • K0 === K0 • S2 ∈ Rel
  ax-S2-S0-K0=S0-K0-S2 : S2 • S0 • K0 === S0 • K0 • S2 ∈ Rel
  ax-CS01-K0=K0-S0-CK10-CX10-S0-S0-S0-S1 : CS01 • K0 === K0 • S0 • CK10 • CX10 • S0 • S0 • S0 • S1 ∈ Rel
  ax-CS01-S0-K0=S0-K0-S0-CK10-CX10-S0-S0-S0-S1 : CS01 • S0 • K0 === S0 • K0 • S0 • CK10 • CX10 • S0 • S0 • S0 • S1 ∈ Rel
  ax-CS02-K0=K0-S0-CK20-CX20-S0-S0-S0-S2 : CS02 • K0 === K0 • S0 • CK20 • CX20 • S0 • S0 • S0 • S2 ∈ Rel
  ax-CS02-S0-K0=S0-K0-S0-CK20-CX20-S0-S0-S0-S2 : CS02 • S0 • K0 === S0 • K0 • S0 • CK20 • CX20 • S0 • S0 • S0 • S2 ∈ Rel
  ax-CS12-K0=K0-CS12 : CS12 • K0 === K0 • CS12 ∈ Rel
  ax-CS12-S0-K0=S0-K0-CS12 : CS12 • S0 • K0 === S0 • K0 • CS12 ∈ Rel
  ax-CCZ-K0=K0-CCX0 : CCZ • K0 === K0 • CCX0 ∈ Rel
  ax-CCZ-S0-K0=S0-K0-CCX0 : CCZ • S0 • K0 === S0 • K0 • CCX0 ∈ Rel
  ax-iI-S0-K0=S0-K0-iI : iI • S0 • K0 === S0 • K0 • iI ∈ Rel
  ax-X1-K0=K0-X1 : X1 • K0 === K0 • X1 ∈ Rel
  ax-X1-CK20=CK20-X1 : X1 • CK20 === CK20 • X1 ∈ Rel
  ax-X1-CK10=K0-CK10-S1-X1 : X1 • CK10 === K0 • CK10 • S1 • X1 ∈ Rel
  ax-X1-CCK'=CK20-CCK'-CS02-CS02-CS02-CS12-CCZ-X1 : X1 • CCK' === CK20 • CCK' • CS02 • CS02 • CS02 • CS12 • CCZ • X1 ∈ Rel
  ax-X1-CX10=X0-CX10-X1 : X1 • CX10 === X0 • CX10 • X1 ∈ Rel
  ax-X1-CX20=CX20-X1 : X1 • CX20 === CX20 • X1 ∈ Rel
  ax-X1-CCX0=CX20-CCX0-X1 : X1 • CCX0 === CX20 • CCX0 • X1 ∈ Rel
  ax-X2-K0=K0-X2 : X2 • K0 === K0 • X2 ∈ Rel
  ax-X2-CK20=K0-CK20-S2-X2 : X2 • CK20 === K0 • CK20 • S2 • X2 ∈ Rel
  ax-X2-CK10=CK10-X2 : X2 • CK10 === CK10 • X2 ∈ Rel
  ax-X2-CCK'=CK10-CCK'-CS01-CS01-CS01-CS12-CCZ-X2 : X2 • CCK' === CK10 • CCK' • CS01 • CS01 • CS01 • CS12 • CCZ • X2 ∈ Rel
  ax-X2-CX10=CX10-X2 : X2 • CX10 === CX10 • X2 ∈ Rel
  ax-X2-CX20=X0-CX20-X2 : X2 • CX20 === X0 • CX20 • X2 ∈ Rel
  ax-X2-CCX0=CX10-CCX0-X2 : X2 • CCX0 === CX10 • CCX0 • X2 ∈ Rel
  ax-CX12-K0=K0-CX12 : CX12 • K0 === K0 • CX12 ∈ Rel
  ax-CX12-CK20=CK20-CK10-CS12-CX12 : CX12 • CK20 === CK20 • CK10 • CS12 • CX12 ∈ Rel
  ax-CX12-CK10=CK10-CX12 : CX12 • CK10 === CK10 • CX12 ∈ Rel
  ax-CX12-CCK'=CK10-CCK'-CS01-CS01-CS01-CS12-CCZ-CX12 : CX12 • CCK' === CK10 • CCK' • CS01 • CS01 • CS01 • CS12 • CCZ • CX12 ∈ Rel
  ax-CX12-X0=X0-CX12 : CX12 • X0 === X0 • CX12 ∈ Rel
  ax-CX12-CX10=CX10-CX12 : CX12 • CX10 === CX10 • CX12 ∈ Rel
  ax-CX12-CX20=CX10-CX20-CX12 : CX12 • CX20 === CX10 • CX20 • CX12 ∈ Rel
  ax-CX12-CCX0=CX10-CCX0-CX12 : CX12 • CCX0 === CX10 • CCX0 • CX12 ∈ Rel
  ax-CX21-K0=K0-CX21 : CX21 • K0 === K0 • CX21 ∈ Rel
  ax-CX21-CK20=CK20-CX21 : CX21 • CK20 === CK20 • CX21 ∈ Rel
  ax-CX21-CK10=CK20-CK10-CS12-CX21 : CX21 • CK10 === CK20 • CK10 • CS12 • CX21 ∈ Rel
  ax-CX21-CCK'=CK20-CCK'-CS02-CS02-CS02-CS12-CCZ-CX21 : CX21 • CCK' === CK20 • CCK' • CS02 • CS02 • CS02 • CS12 • CCZ • CX21 ∈ Rel
  ax-CX21-CX10=CX10-CX20-CX21 : CX21 • CX10 === CX10 • CX20 • CX21 ∈ Rel
  ax-CX21-CX20=CX20-CX21 : CX21 • CX20 === CX20 • CX21 ∈ Rel
  ax-CX21-CCX0=CX20-CCX0-CX21 : CX21 • CCX0 === CX20 • CCX0 • CX21 ∈ Rel
  ax-Swap12-K0=K0-Swap12 : Swap12 • K0 === K0 • Swap12 ∈ Rel
  ax-Swap12-CK20=CK10-Swap12 : Swap12 • CK20 === CK10 • Swap12 ∈ Rel
  ax-Swap12-CK10=CK20-Swap12 : Swap12 • CK10 === CK20 • Swap12 ∈ Rel
  ax-Swap12-CCK'=CCK'-Swap12 : Swap12 • CCK' === CCK' • Swap12 ∈ Rel
  ax-Swap12-X0=X0-Swap12 : Swap12 • X0 === X0 • Swap12 ∈ Rel
  ax-Swap12-CX10=CX20-Swap12 : Swap12 • CX10 === CX20 • Swap12 ∈ Rel
  ax-Swap12-CX20=CX10-Swap12 : Swap12 • CX20 === CX10 • Swap12 ∈ Rel
  ax-Swap12-CCX0=CCX0-Swap12 : Swap12 • CCX0 === CCX0 • Swap12 ∈ Rel
  ax-CX20-CX10=CX10-CX20 : CX20 • CX10 === CX10 • CX20 ∈ Rel
  ax-Swap12-X1=X2-Swap12 : Swap12 • X1 === X2 • Swap12 ∈ Rel
  ax-Swap12-X2=X1-Swap12 : Swap12 • X2 === X1 • Swap12 ∈ Rel
  ax-Swap12-CX12=CX21-Swap12 : Swap12 • CX12 === CX21 • Swap12 ∈ Rel
  ax-Swap12-CX21=CX12-Swap12 : Swap12 • CX21 === CX12 • Swap12 ∈ Rel
  ax-CX12-X2=X2-CX12 : CX12 • X2 === X2 • CX12 ∈ Rel
  ax-CX12-X1=X1-X2-CX12 : CX12 • X1 === X1 • X2 • CX12 ∈ Rel
  ax-CX12-CX21-CX12=Swap12 : CX12 • CX21 • CX12 === Swap12 ∈ Rel
  ax-CX21-CX12-CX21=Swap12 : CX21 • CX12 • CX21 === Swap12 ∈ Rel
  ax-CX12-Swap12=CX21-CX12 : CX12 • Swap12 === CX21 • CX12 ∈ Rel
  ax-CX21-Swap12=CX12-CX21 : CX21 • Swap12 === CX12 • CX21 ∈ Rel
